package net.minecraft.world.item;

import javax.annotation.Nullable;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class GameMasterBlockItem extends BlockItem {
    public GameMasterBlockItem(final Block bvr, final Properties a) {
        super(bvr, a);
    }
    
    @Nullable
    @Override
    protected BlockState getPlacementState(final BlockPlaceContext bin) {
        final Player bec3 = bin.getPlayer();
        return (bec3 == null || bec3.canUseGameMasterBlocks()) ? super.getPlacementState(bin) : null;
    }
}
